/*
 * Created on 22 fvr. 2005
 */
package fr.improve.demoserveur.actions.discover;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import fr.improve.demoserveur.actions.DemoServeurDeNewsDispatchAction;
import fr.improve.demoserveur.database.Database;
import fr.improve.demoserveur.database.News;

/**
 * 
 * @author Jean Noel Ribette,David Duarte
 */
public class DiscoverAction extends DemoServeurDeNewsDispatchAction {

	
    /**
     * Initialise la page de dcouverte des news.
     */
    public ActionForward discover(ActionMapping in_mapping, ActionForm in_form, HttpServletRequest in_request, HttpServletResponse in_response) {
    	// La liste 1 contient les news.
    	Collection lc_newsList = Database.getDataBase().getAllNews();
    	in_request.setAttribute("list1", lc_newsList);
    	
    	// La liste 2 ne contient rien.
    	in_request.setAttribute("list2", new ArrayList());
    	
    	return in_mapping.findForward("select");
    }
    
    public ActionForward send(ActionMapping in_mapping, ActionForm in_form, HttpServletRequest in_request, HttpServletResponse in_response) {
    	DiscoverForm lc_form = (DiscoverForm) in_form;
    	String[] lc_ids = lc_form.getIds2();
    	List lc_list = new ArrayList();
    	Database lc_databse = Database.getDataBase();
    	if (lc_ids!=null) {
	    	for (int i=0;i<lc_ids.length;i++) {
	    		String lc_id = lc_ids[i];
	    		if (lc_id!=null && lc_id.length()>0) {
		    		News lc_news = lc_databse.getNewsByPrimaryKey(lc_id);
		    		lc_list.add(lc_news);
	    		}
	    	}
    	}
    	in_request.setAttribute("list", lc_list);
    	in_request.setAttribute("email", lc_form.getEmail());
    	return in_mapping.findForward("result");
    }   
}
