package fr.improve.demoserveur.database;

import java.io.Serializable;

/**
 * A news subject.
 * 
 * @author jnribette
 */
public class Subject implements Comparable,Serializable {		
	private String id;
	private String name;
	private String description;
	
	
	public String getDescription() {
		return description;
	}
	
	public String getId() {
		return id;
	}		

	public String getName() {
		return name;
	}

	public void setDescription(String string) {
		description = string;
	}
	
	void setId(String string) {
		id = string;
	}

	public void setName(String string) {
		name = string;
	}		
	
	public int compareTo(Object object) {
		Subject s = (Subject) object;
		if (name==null && s.getName()==null) {
			return 0;
		} else if (name!=null && s.getName()==null) {
			return -1;
		} else if (name==null && s.getName()!=null) {
			return 1;
		} else {
			return name.compareTo(s.getName());
		}
	}

}
