<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>
<%@ page import="fr.improve.struts.taglib.layout.util.LayoutUtils" %>

<layout:grid>
	<layout:panel styleClass="FORM">
		<layout:treeview name="news"/>
	</layout:panel>
	<logic:present name="subjects">
	<layout:form action="/addNews" styleClass="FORM">
		<layout:text key="news.id" property="id" mode="I,I,I" styleClass="LABEL"/>
		<layout:text key="news.title" property="title" isRequired="true" styleClass="LABEL" mode="I,I,I"/>
		  <layout:select key="news.subject" property="subject" styleClass="LABEL" mode="I,I,I">
			<layout:options collection="subjects" property="id" labelProperty="name"/>
		  </layout:select>
		<layout:textarea key="news.body" property="body" isRequired="true" styleClass="LABEL" mode="I,I,I"/> 
		<layout:checkbox key="news.sendNewsToMailingList" property="sendNewsToMailingList" styleClass="LABEL" mode="I,I,I"/>
	</layout:form>
	</logic:present>
</layout:grid>