package fr.improve.demoserveur.actions.discover;
import org.apache.struts.action.ActionForm;

/**
 * The discover form is used by the discover action which allows a user 
 * to send a set of news to a friend.
 * 
 * @author jnribette
 */
public class DiscoverForm extends ActionForm {
	private String[] ids1;
	private String[] ids2;
	private String email;
	/**
	 * Returns the ids1.
	 * @return String[]
	 */
	public String[] getIds1() {
		return ids1;
	}

	/**
	 * Returns the ids2.
	 * @return String[]
	 */
	public String[] getIds2() {
		return ids2;
	}

	/**
	 * Sets the ids1.
	 * @param ids1 The ids1 to set
	 */
	public void setIds1(String[] ids1) {
		this.ids1 = ids1;
	}

	/**
	 * Sets the ids2.
	 * @param ids2 The ids2 to set
	 */
	public void setIds2(String[] ids2) {
		this.ids2 = ids2;
	}

	/**
	 * Returns the email.
	 * @return String
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * Sets the email.
	 * @param email The email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}

}
