/*
 * Created on 22 fvr. 2005
 */
package fr.improve.demoserveur.actions.editnews;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import fr.improve.demoserveur.actions.DemoServeurDeNewsDispatchAction;
import fr.improve.demoserveur.actions.NewsForm;
import fr.improve.demoserveur.database.Database;
import fr.improve.demoserveur.database.News;
import fr.improve.demoserveur.database.Subject;

/**
 * @author Jean Noel Ribette,David Duarte
 */
public class EditNewsAction extends DemoServeurDeNewsDispatchAction {


    public ActionForward editNews(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        String l_result = "index";
        NewsForm l_newsForm = (NewsForm)form;
        Database l_database = Database.getDataBase();

        String l_idNews = l_newsForm.getId();
        News l_news = l_database.getNewsByPrimaryKey(l_idNews);
        l_newsForm.setTitle(l_news.getTitle());
        l_newsForm.setSubject(l_news.getSubject().getId());
        l_newsForm.setBody(l_news.getBody());
        return mapping.findForward("edit");
    }

    public ActionForward updateNews(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        String l_result = "index";
        NewsForm l_newsForm = (NewsForm)form;
        Database l_database = Database.getDataBase();
		Subject l_subject = l_database.getSubjectByPrimaryKey(l_newsForm.getSubject());
        l_database.updateNews(l_newsForm.getId(), l_newsForm.getTitle(), l_subject, l_newsForm.getBody());
        return mapping.findForward("list");
    }
    

}
